<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@C004=12</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@D209=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Only enable Invincibility during gameplay!!</comment>
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@C00A=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon Time PL1">
    <script state="run">
      <action>maincpu.pb@D208=01</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Tracer</item>
      <item value="0x03">Flamer</item>
      <item value="0x04">3-Way</item>
      <item value="0x05">8-Way</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@D200=1C</action>
      <action condition="(param==01)">maincpu.pb@D202=03</action>
      <action condition="(param==01)">maincpu.pb@D203=01</action>
      <action condition="(param==02)">maincpu.pb@D200=1F</action>
      <action condition="(param==02)">maincpu.pb@D202=03</action>
      <action condition="(param==02)">maincpu.pb@D203=01</action>
      <action condition="(param==03)">maincpu.pb@D200=22</action>
      <action condition="(param==03)">maincpu.pb@D202=03</action>
      <action condition="(param==03)">maincpu.pb@D203=01</action>
      <action condition="(param==04)">maincpu.pb@D200=25</action>
      <action condition="(param==04)">maincpu.pb@D202=03</action>
      <action condition="(param==04)">maincpu.pb@D203=03</action>
      <action condition="(param==05)">maincpu.pb@D200=2C</action>
      <action condition="(param==05)">maincpu.pb@D202=01</action>
      <action condition="(param==05)">maincpu.pb@D203=08</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@D259=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Only enable Invincibility during gameplay!!</comment>
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@C00B=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Weapon Time PL2">
    <script state="run">
      <action>maincpu.pb@D258=01</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Tracer</item>
      <item value="0x03">Flamer</item>
      <item value="0x04">3-Way</item>
      <item value="0x05">8-Way</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@D250=1C</action>
      <action condition="(param==01)">maincpu.pb@D252=03</action>
      <action condition="(param==01)">maincpu.pb@D253=01</action>
      <action condition="(param==02)">maincpu.pb@D250=1F</action>
      <action condition="(param==02)">maincpu.pb@D252=03</action>
      <action condition="(param==02)">maincpu.pb@D253=01</action>
      <action condition="(param==03)">maincpu.pb@D250=22</action>
      <action condition="(param==03)">maincpu.pb@D252=03</action>
      <action condition="(param==03)">maincpu.pb@D253=01</action>
      <action condition="(param==04)">maincpu.pb@D250=25</action>
      <action condition="(param==04)">maincpu.pb@D252=03</action>
      <action condition="(param==04)">maincpu.pb@D253=03</action>
      <action condition="(param==05)">maincpu.pb@D250=2C</action>
      <action condition="(param==05)">maincpu.pb@D252=01</action>
      <action condition="(param==05)">maincpu.pb@D253=08</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
